Bug 800871 - Bank log-in applet does not work
Bank log-in applet does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: icedtea-web (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
http://icedtea.classpath.org/bugzilla...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 07:30 EST by Michal Nowak
Modified: 2013-08-01 12:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2012-03-07 07:30:54 EST
Description of problem:

This is what I get when enter https://www.mojebanka.cz/InternetBanking/?L=CS (switch there to English if necessary):

java version "1.7.0_b147-icedtea"
OpenJDK Runtime Environment (fedora-2.1.fc17.1-x86_64)
OpenJDK 64-Bit Server VM (build 22.0-b10, mixed mode)
Gtk-Message: Failed to load module "pk-gtk-module"
JAR https://www.mojebanka.cz/jars/detectVM.jar not found. Continuing.
JAR https://www.mojebanka.cz/jars/detectVM.jar not found. Continuing.
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet. 
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:735)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:676)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:886)
Caused by: java.lang.ClassNotFoundException: kbib.security.detect.detectVM
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1398)
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:725)
	... 2 more
Caused by: 
java.lang.ClassNotFoundException: kbib.security.detect.detectVM
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1398)
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:725)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:676)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:886)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:154)
	at sun.applet.AppletPanel.run(AppletPanel.java:379)
	at java.lang.Thread.run(Thread.java:722)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:429)
	at java.lang.Thread.run(Thread.java:722)

And applet won't load (and therefor I can't log-in).

Version-Release number of selected component (if applicable):

icedtea-web-1.2-1.fc17 (icedtea-web from latest RHEL6 works)

How reproducible:

always
Comment 1 Vaclav "sHINOBI" Misek 2012-04-26 15:32:03 EDT
This problem is reported there http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=843 but no result yet.
Comment 2 Jaroslav Reznik 2012-06-05 07:35:46 EDT
I can reproduce it too, I've already contacted the bank too. Already reported by more Fedora 17 users.
Comment 3 Deepak Bhole 2012-08-24 16:13:55 EDT
Re-assigning to Jiri as with PR843.
Comment 5 Fedora End Of Life 2013-07-04 01:24:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 12:28:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.